--[[
	Noita typically uses the ARGB colour space, but for capes ABGR is used instead.
	To convert RGB hex to ABGR deca:
		R - red, G - green, B - blue, A - alpha
		RRGGBB ==flip==> BBGGRR
			AAAABBGGRR
		for the alpha use 0xff so we're left with:
			0xffBBGGRR
]]

loadout_list =
 {
------------------------------------------------------------------------------------------------------------1
    {
		name = "BOOT TYPE",
		folder = "BOOT",
		cape_color = 0xff322ac2,
		cape_color_edge = 0xff201a8a,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/BOOT/wands/wand_1.xml",	
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/BOOT/wands/wand_2.xml",
					
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_alcohol.xml",
		},
		perks =
		{
			"BOOT_OF_DESTINY",
			"PROTECTION_MELEE",
		},
	},	
------------------------------------------------------------------------------------------------------------2
    {
		name = "Bulwark TYPE",
		folder = "bulwark",
		cape_color = 0xfff7eaab,
		--cape_color = 0xff4c0f10,
		cape_color_edge = 0xff5b1718,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/bulwark/wands/wand_1.xml",

			"data/entities/items/pickup/potion_water.xml",
		},
		perks =
		{
			"SHIELD",
			"STAINLESS_ARMOUR",
		},
	},
------------------------------------------------------------------------------------------------------------3
	{
		name = "Common TYPE",
		folder = "common",
		cape_color = 0xff76547f,
		cape_color_edge = 0xff9a6f9b,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/common/wands/wand_1.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/common/wands/wand_2.xml",
			
			{
			"data/entities/items/pickup/potion_water.xml",
			amount = 2,
			},
		},
		perks =
		{
			"EDIT_WANDS_EVERYWHERE",
		},
	},
------------------------------------------------------------------------------------------------------------4
	{
		name = "Doom TYPE",
		folder = "doom",
		cape_color = 0xff0e2923,
		cape_color_edge = 0xff153930,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/doom/wands/wand_1.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/doom/wands/wand_2.xml",
		
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_berserker.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_blood.xml",
		},
		perks =
		{
			"GLOBAL_GORE",
			"VAMPIRISM",
		},
	},
------------------------------------------------------------------------------------------------------------5
	{
		name = "Forceful TYPE",
		folder = "forceful",
		cape_color = 0xff0c2b3d,
		cape_color_edge = 0xff0b3146,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/forceful/wands/wand_1.xml",

			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_slime.xml",
		},
		perks =
		{
			"PROJECTILE_REPULSION",
			"HOVER_BOOST",
		},
	}, 
------------------------------------------------------------------------------------------------------------6
	{
		name = "Pandaemonium TYPE",
		folder = "pandaemonium",
		cape_color = 0xffa1ccfc,
		cape_color_edge = 0xff2d1d59,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pandaemonium/wands/wand_1.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pandaemonium/wands/wand_2.xml",

			"data/entities/items/pickup/egg_worm.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_rng_polymorph.xml",
			
		},
		perks =
		{
			"GENOME_MORE_HATRED",
			"WORM_ATTRACTOR",
		},
	},
------------------------------------------------------------------------------------------------------------7
	{
		name = "Pissmancer TYPE",
		folder = "pissmancer",
		cape_color = 0xff41bbd6,
		cape_color_edge = 0xff52d5f1,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pissmancer/wands/wand_1.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pissmancer/wands/wand_2.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pissmancer/wands/wand_3.xml",

			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_piss.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_urine.xml",

		},
		perks =
		{
			"BLEED_PISS",
			--"BREATH_UNDERWATER",
			"SPEED_DIVER",
		},
	},
------------------------------------------------------------------------------------------------------------8
    {
		name = "Prescient TYPE",
		folder = "prescient",
		cape_color = 0xfffeffff,
		cape_color_edge = 0xff8f378b,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/prescient/wands/wand_1.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/prescient/wands/wand_2.xml",
			
			"data/entities/items/pickup/potion_water.xml",
		},
		perks =
		{
			"REMOVE_FOG_OF_WAR",
			"PROJECTILE_HOMING",
		},
	},
------------------------------------------------------------------------------------------------------------9
    {
		name = "Sneakybeaky TYPE",
		folder = "sneakybeaky",
		cape_color = 0xff251316,
		cape_color_edge = 0xff26070c,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/sneakybeaky/wands/wand_1.xml",
						
			"data/entities/items/pickup/potion_water.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_fire.xml",
			
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/knife_pickupable.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/knife_pickupable.xml",
		},
		perks =
		{
			"INVISIBILITY",
			"REPELLING_CAPE",
		},
	},
------------------------------------------------------------------------------------------------------------10
	{
		name = "Vengeful TYPE",
		folder = "vengeful",
		cape_color = 0xff0777ff,
		cape_color_edge = 0xff072cff,
		items = 
		{
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/vengeful/wands/wand_1.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/vengeful/wands/wand_2.xml",

			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_berserker.xml",
			"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_toxic.xml",
		},
		perks =
		{
			"CRITICAL_HIT",
			"GLASS_CANNON",
			"PROTECTION_EXPLOSION",
		},
	},
------------------------------------------------------------------------------------------------------------11
--TRASH
}

--Kælos / DEC 5, 2019