table.insert( perk_list,
	{
		id = "BOOT_OF_DESTINY",
		ui_name = "Boot of Destiny",
		ui_description = "Yours is the kick that will shatter the heavens!!!",
		ui_icon = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/perk_icons/boot_of_destiny.png",
		perk_icon = "mods/Kaelos_Archetypes/files/K_Archetypes/items_gfx/perks/boot_of_destiny.png",
		--stackable = STACKABLE_MAX_AMOUNT,
		not_in_default_perk_pool = true, -- if set, this perk only materializes when manually spawned, e.g. when calling spawn_perk("MYSTERY_EGGPLANT") somewhere
		func = function( entity_perk_item, entity_who_picked, item_name )
		
			local models = EntityGetComponent( entity_who_picked, "KickComponent" )
			if( models ~= nil ) then
				for i,model in ipairs(models) do
					local kick_force = tonumber( ComponentGetMetaCustom( model, "max_force" ) ) * 11 --kick force limiter; any higher than 4 and objects often phase through enemies
					local player_kick_force = tonumber( ComponentGetMetaCustom( model, "player_kickforce" ) ) * 11 --kick force; anything higher than the limiter probably doesn't matter?
					local kick_damage = tonumber( ComponentGetMetaCustom( model, "kick_damage" ) ) + 77 --direct damage; original added .12 lol
					local kick_knockback = tonumber( ComponentGetMetaCustom( model, "kick_knockback" ) ) + 7777  --knockback on living enemies
					
					ComponentSetMetaCustom( model, "max_force", kick_force )
					ComponentSetMetaCustom( model, "player_kickforce", player_kick_force )
					ComponentSetMetaCustom( model, "kick_damage", kick_damage )
					ComponentSetMetaCustom( model, "kick_knockback", kick_knockback )
				end
			end

		end,
	})
	
table.insert( perk_list,
	{
		id = "BLEED_PISS",
		ui_name = "Piss Blood",
		ui_description = "You aren't damaged by toxic waste.\nYou ARE the toxic waste.\nIt's pissening.",
		ui_icon = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/perk_icons/piss_blood.png",
		perk_icon = "mods/Kaelos_Archetypes/files/K_Archetypes/items_gfx/perks/piss_blood.png",
		game_effect = "PROTECTION_RADIOACTIVITY",
		not_in_default_perk_pool = true, -- if set, this perk only materializes when manually spawned, e.g. when calling spawn_perk("MYSTERY_EGGPLANT") somewhere
		func = function( entity_perk_item, entity_who_picked, item_name )
		
			local damagemodels = EntityGetComponent( entity_who_picked, "DamageModelComponent" )
			if( damagemodels ~= nil ) then
				for i,damagemodel in ipairs(damagemodels) do
					ComponentSetValue( damagemodel, "blood_material", "piss" )
					ComponentSetValue( damagemodel, "blood_spray_material", "piss" )
					ComponentSetValue( damagemodel, "blood_multiplier", "3.0" )
					ComponentSetValue( damagemodel, "blood_sprite_directional", "data/particles/bloodsplatters/bloodsplatter_directional_yellow_$[1-3].xml" )
					ComponentSetValue( damagemodel, "blood_sprite_large", "data/particles/bloodsplatters/bloodsplatter_yellow_$[1-3].xml" )
					
					--piss blood confers resistance to ...?
					--local projectile_resistance = tonumber(ComponentObjectGetValue( damagemodel, "damage_multipliers", "projectile" ))
					--projectile_resistance = projectile_resistance * 0.6
					--ComponentObjectSetValue( damagemodel, "damage_multipliers", "projectile", tostring(projectile_resistance) )
				end
			end
			
		end,
	})
	
--Kælos