table.insert( actions,
	{
		id          = "SUMMON_THINGS",
		name 		= "Summon Things",
		description = "Expecto Thingtronem!",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/summon_things.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_PROJECTILE,
		spawn_level                       = "3,5,6",
		spawn_probability                 = "1,1,1",
		price = 200,
		mana = 100,
		max_uses = 20,
		custom_xml_file = "mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/summon_things.xml",
		action 		= function()

			local things = {
				"data/entities/items/pickup/chest_random",
				"data/entities/items/pickup/thunderstone",	--catalyst
				"data/entities/items/easter/druidsoccer_ball",	--very big
				"data/entities/props/physics_barrel_burning",
				"data/entities/props/physics_barrel_oil",
				"data/entities/props/physics_barrel_radioactive",
				"data/entities/props/physics_bone_05",
				"data/entities/props/physics_box_explosive",
				"data/entities/props/physics_box_harmless",
				"data/entities/props/physics_box_harmless_small",
				"data/entities/props/physics_cart",
				"data/entities/props/physics_chair_1",
				"data/entities/props/physics_chair_2",
				"data/entities/props/physics_chandelier",
				"data/entities/props/physics_crate",
				"data/entities/props/physics_gem",	--truly outrageous but no collision
				"data/entities/props/physics_lantern",
				"data/entities/props/physics_lantern_small",
				"data/entities/props/physics_minecart",	--kinda glitchy with the wheels
				"data/entities/props/physics_pressure_tank",
				"data/entities/props/physics_propane_tank",
				"data/entities/props/physics_sandbag",
				"data/entities/props/physics_skateboard",	--also glitchy with the wheels
				"data/entities/props/physics_skull_03",
				"data/entities/props/physics_stone_01",
				"data/entities/props/physics_stone_02",
				"data/entities/props/physics_stone_03",
				"data/entities/props/physics_stone_04",
				"data/entities/props/physics_table",
				--"data/entities/props/physics_templedoor", --you have
				--"data/entities/props/physics_templedoor2", --been warned
				"data/entities/props/physics_trap_ignite_a",
				"data/entities/props/physics_trap_ignite_b",
				"data/entities/props/physics_vase",
				--"data/entities/props/physics_wheel",	--big
				"data/entities/props/physics_wheel_small",	--still kinda big
				"data/entities/props/physics_wheel_tiny",
				}
				
			local thingRNG = math.random(1, #things)
			local thething = tostring(things[thingRNG]) .. ".xml"
			add_projectile(thething)
			c.screenshake = c.screenshake + 20.0
			shot_effects.recoil_knockback = shot_effects.recoil_knockback + 10

		end,
	})

table.insert( actions,
	{
		id          = "SUMMON_THINGS_BOOTABLE",
		name 		= "Summon BOOTY",
		description = "Press F to BOOT.",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/summon_things_bootable.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_PROJECTILE,
		spawn_level                       = "3,5,6",
		spawn_probability                 = "1,1,1",
		price = 100,
		mana = 50,
		max_uses = 30,
		custom_xml_file = "mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/summon_things_bootable.xml",
		action 		= function()

			local BOOTlings = {
				--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/BOOT_ball_1",	-still very WIP
				"data/entities/props/physics_barrel_oil",	--will replace with custom Bootable Bubbagum Bouncy Balls later
				"data/entities/props/physics_stone_01",
				"data/entities/props/physics_stone_01",
				"data/entities/props/physics_stone_01",
				"data/entities/props/physics_stone_02",
				"data/entities/props/physics_stone_02",
				"data/entities/props/physics_stone_02",
				"data/entities/props/physics_stone_03",
				"data/entities/props/physics_stone_03",
				"data/entities/props/physics_stone_03",
				"data/entities/props/physics_stone_04",
				"data/entities/props/physics_stone_04",
				"data/entities/props/physics_stone_04",
				}
				
			local bootRNG = math.random(1, #BOOTlings)
			local BOOTY = tostring(BOOTlings[bootRNG]) .. ".xml"
			add_projectile(BOOTY)
			c.screenshake = c.screenshake + 20.0
			shot_effects.recoil_knockback = shot_effects.recoil_knockback + 10

		end,
	})

table.insert( actions,
	{
		id          = "SUMMON_KNIFE",
		name 		= "Summon Knife",
		description = "Handy dandy stabby stabby.",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/summon_knife.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_PROJECTILE,
		spawn_level                       = "2,3,5",
		spawn_probability                 = "1,1,1",
		price = 200,
		mana = 70,
		max_uses = 3,
		custom_xml_file = "mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/summon_knife.xml",
		action 		= function()
			add_projectile("mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/knife_pickupable.xml")
		end,
	})

table.insert( actions,
	{
		id          = "SUMMON_CHEST",
		name 		= "Summon Chest",
		description = "WHAT'S IN THE BOX?",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/summon_chest.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_PROJECTILE,
		spawn_level                       = "3,4,5,6", 	--represents the wand grades?
		spawn_probability                 = "1,1,1,2",
		price = 333,
		mana = 100,
		max_uses = 3,
		action 		= function()
	
			local boxes = {"random","random","random","random","random","random","random","random","random","random_super"}	--1/10 chance for super chest
			local boxRNG = math.random(1, #boxes)
			local chest_spawn = "chest_" .. tostring(boxes[boxRNG]) .. ".xml"
			add_projectile("data/entities/items/pickup/" .. chest_spawn)
			c.screenshake = c.screenshake + 20.0
			shot_effects.recoil_knockback = shot_effects.recoil_knockback + 10
	
		end,
	})

table.insert( actions,
	{
		id          = "MATERIAL_PISS",
		name 		= "Piss",
		description = "The wonder of whizardry.",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/material_piss.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,2,3,4",
		spawn_probability                 = "1,1,1,1",
		price = 111,
		mana = 0,
		sound_loop_tag = "sound_spray",
		action 		= function()
			add_projectile("mods/Kaelos_Archetypes/files/K_Archetypes/entities/projectiles/deck/material_piss.xml")
			c.game_effect_entities = c.game_effect_entities .. "mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/effect_apply_wet.xml,"
			c.fire_rate_wait = c.fire_rate_wait - 15
			current_reload_time = current_reload_time - ACTION_DRAW_RELOAD_TIME_INCREASE - 10 -- this is a hack to get the cement reload time back to 0
		end,
	})

table.insert( actions,
	{
		id          = "PISS_TRAIL",
		name 		= "Piss Trail",
		description = "The PISS will FLOW.",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/piss_trail.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "2,3,4",
		spawn_probability                 = "1,1,1",
		price = 160,
		mana = 10,
		custom_xml_file = "mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/piss_trail.xml",
		action 		= function()
			--c.game_effect_entities = c.game_effect_entities .. "data/entities/misc/effect_apply_oiled.xml,"
			c.trail_material = c.trail_material .. "piss,"
			c.trail_material_amount = c.trail_material_amount + 20
			draw_actions( 1, true )
		end,
	})
	
table.insert( actions,
	{
		id          = "TOUCH_PISS",
		name 		= "Touch of Piss",
		description = "May piss be with you.",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/touch_piss.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_MATERIAL,
		spawn_level                       = "10",
		spawn_probability                 = "1",
		price = 400,
		mana = 280,
		max_uses    = 5, 
		action 		= function()
			add_projectile("mods/Kaelos_Archetypes/files/K_Archetypes/entities/projectiles/deck/touch_piss.xml")
		end,
	})
	
table.insert( actions,
	{
		id          = "PISS_RIP",
		name 		= "Piss Overload",
		description = "Rest In Piss",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/piss_rip.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_MATERIAL,
		spawn_level                       = "10",
		spawn_probability                 = "1",
		price = 600,
		mana = 400,
		--max_uses    = 1, 
		action 		= function()
			add_projectile("mods/Kaelos_Archetypes/files/K_Archetypes/entities/projectiles/deck/piss_rip.xml")
		end,
	})
	
table.insert( actions,
	{
		id          = "CLOUD_PISS",
		name 		= "Golden Shower",
		description = "Damn you, Zeus.",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/cloud_piss.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_STATIC_PROJECTILE,
		spawn_level                       = "0,1,2,3,4,5",
		spawn_probability                 = "1,1,1,1,1,1",
		price = 130,
		mana = 35,
		max_uses    = 10, 
		action 		= function()
			add_projectile("mods/Kaelos_Archetypes/files/K_Archetypes/entities/projectiles/deck/cloud_piss.xml")
			c.fire_rate_wait = c.fire_rate_wait + 15
		end,
	})
	
table.insert( actions,
	{
		id          = "SEA_PISS",
		name 		= "Sea of Piss",
		description = "...From sea to shining sea.",
		sprite 		= "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/sea_piss.png",
		sprite_unidentified = "mods/Kaelos_Archetypes/files/K_Archetypes/ui_gfx/gun_actions/unidentified.png",
		type 		= ACTION_TYPE_MATERIAL,
		spawn_level                       = "0,4,5,6",
		spawn_probability                 = "1,1,1,1",
		price = 340,
		mana = 130,
		max_uses    = 3, 
		action 		= function()
			add_projectile("mods/Kaelos_Archetypes/files/K_Archetypes/entities/projectiles/deck/sea_piss.xml")
			c.fire_rate_wait = c.fire_rate_wait + 15
		end,
	})
	

	
	
	
	
	
	
	
--Kælos
